<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yida.data.device.studentCard.mapper.EduStudentCardFenceJimiMapper">
    <select id="listJimiFence" resultType="com.yida.data.common.core.entity.card.EduStudentCardFenceJimi">
        select a.*
        from edu_student_card_fence_jimi a
        left join edu_student_card_fence b on a.fence_id = b.id
        left join edu_student_card_fence_student c on b.id = c.fence_id
        left join edu_student_card d on c.student_id = d.student_id
        where b.del_flag=0 and d.del_flag=0
        and b.id in
        <foreach collection="fenceIds" item="item" close=")" open="(" separator=",">
            #{item}
        </foreach>
    </select>
</mapper>
